Notifications
GET
organization_id*stringstatus?stringFilter by delivery status: pending, sending, sent, failed, or suppressed.
channel?stringFilter by channel: email, whatsapp, or sms.
templateKey?stringFilter by canonical template key.
subjectId?stringFilter by the order or participant the message is about.
limit?integerPage size (1-100)
Format
int64Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
Default
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/notification-deliveries'Example Response
{ "$schema": "https://example.com/schemas/PageNotificationDeliveryView.json", "data": [ { "attempts": 0, "channel": "string", "createdAt": "2019-08-24T14:15:22Z", "destination": "string", "id": "string", "lastError": "string", "provider": "string", "providerMessageId": "string", "recipientId": "string", "recipientKind": "string", "sentAt": "2019-08-24T14:15:22Z", "status": "string", "subjectId": "string", "subjectKind": "string", "templateKey": "string", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}GET
organization_id*stringdelivery_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriattempts*array<>|nullchannel*stringcreatedAt*stringFormat
date-timedestination*stringMasked destination hint; the real address is never stored.
id*stringlastError?stringprovider?stringproviderMessageId?stringrecipientId*stringrecipientKind*stringsentAt?stringFormat
date-timestatus*stringsubjectId*stringsubjectKind*stringtemplateKey*stringupdatedAt*stringFormat
date-timecurl -X GET 'https://example.com/api/v1/organizations/string/notification-deliveries/string'Example Response
{ "$schema": "https://example.com/schemas/NotificationDeliveryDetail.json", "attempts": [ { "attemptedAt": "2019-08-24T14:15:22Z", "error": "string", "errorClass": "string", "id": "string", "provider": "string", "providerMessageId": "string", "status": "string" } ], "channel": "string", "createdAt": "2019-08-24T14:15:22Z", "destination": "string", "id": "string", "lastError": "string", "provider": "string", "providerMessageId": "string", "recipientId": "string", "recipientKind": "string", "sentAt": "2019-08-24T14:15:22Z", "status": "string", "subjectId": "string", "subjectKind": "string", "templateKey": "string", "updatedAt": "2019-08-24T14:15:22Z"}POST
organization_id*stringorder_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urirequeued*integerFormat
int64curl -X POST 'https://example.com/api/v1/organizations/string/orders/string/notifications/order-confirmation/resend'Example Response
{ "$schema": "https://example.com/schemas/ResendResult.json", "requeued": 0}POST
organization_id*stringparticipant_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
urirequeued*integerFormat
int64curl -X POST 'https://example.com/api/v1/organizations/string/participants/string/notifications/pass-link/resend'Example Response
{ "$schema": "https://example.com/schemas/ResendResult.json", "requeued": 0}